package controllers

import (
	"encoding/json"
	"hongze/hongze_edb_lib/models"
	"hongze/hongze_edb_lib/utils"
	"strconv"
)

type ThsController struct {
	BaseAuthController
}

// @Title 编辑指标接口
// @Description 编辑指标接口
// @Success 200 {object} data_manage.EditEdbInfoReq
// @router /add [post]
func (this *ThsController) Add() {
	br := new(models.BaseResponse).Init()
	deleteCache := true
	var cacheKey string
	defer func() {
		if deleteCache {
			utils.Rc.Delete(cacheKey)
		}
		this.Data["json"] = br
		this.ServeJSON()
	}()
	source := utils.DATA_SOURCE_THS
	var req models.AddEdbInfoReq
	err := json.Unmarshal(this.Ctx.Input.RequestBody, &req)
	if err != nil {
		br.Msg = "参数解析异常！"
		br.ErrMsg = "参数解析失败，Err:" + err.Error()
		return
	}
	if req.EdbCode == "" {
		br.Msg = "请输入指标编码！"
		br.ErrMsg = "请输入指标编码，指标编码为空"
		return
	}
	cacheKey = "CACHE_EDB_DATA_ADD_" + strconv.Itoa(source) + "_" + req.EdbCode
	err = models.AddEdbDataFromThs(req.EdbCode, utils.BASE_START_DATE, utils.BASE_END_DATE)
	if err != nil {
		br.Msg = "获取指标信息失败！"
		br.ErrMsg = "获取指标信息失败，Err:" + err.Error()
		return
	}
	br.Ret = 200
	br.Success = true
	br.Msg = "获取成功"
}
